/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.area.field.shape;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import org.openide.awt.ActionID;
import org.openide.awt.ActionReference;
import org.openide.awt.ActionRegistration;

/**
 * Action which will load the shape filePicker
 *
 * @author Timon Veenstra
 */
@ActionID(id = "nl.cloudfarming.client.area.field.LoadShapeFileAction", category = "Tools")
@ActionRegistration(iconInMenu = true, displayName = "nl.cloudfarming.client.area.field.Bundle#CTL_LoadShapeFileAction", iconBase = "nl/cloudfarming/client/area/field/map-add-icon.png")
@ActionReference(path = "Menu/Tools", position = 50)
public class LoadShapeFileAction implements ActionListener {

    @Override
    public void actionPerformed(ActionEvent e) {
        ShapeFilePicker filePicker = new ShapeFilePicker();
        filePicker.show();
    }
}
